## org.apache.ivy.osgi.obr.filter
Class NotFilter

    java.lang.Object
      org.apache.ivy.osgi.obr.xml.RequirementFilter
          org.apache.ivy.osgi.obr.filter.UniOperatorFilter
              org.apache.ivy.osgi.obr.filter.NotFilter

    public class NotFilter

extends UniOperatorFilter

Constructor Summary
`NotFilter(RequirementFilter subFilter)`

Method Summary
`protected char` `operator()`

Methods inherited from class org.apache.ivy.osgi.obr.filter.UniOperatorFilter
`append, equals, getSubFilter, hashCode`

Methods inherited from class org.apache.ivy.osgi.obr.xml.RequirementFilter
`toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NotFilter

    public NotFilter(RequirementFilter subFilter)

Method Detail

### operator

    protected char operator()

  Specified by:
    `operator` in class `UniOperatorFilter`